Name:           megi-kernel-tab-beta
Version:        6.3.0
Release:        0.rc9%{dist}
Summary:        latest megi kernel for the pinetab
License:        GPLv3+
URL:            https://megous.com/git/linux/log/?h=orange-pi-6.3
Source0:        pinephones-beta.tar.gz
Source1:        sun50i-a64-pinetab.dtb
#Source1:        boot.cmd
#Source2:        boot.scr
#Source3:        update-boot-script.sh
#Requires:       pp-uboot 
#Requires:       pinetab-helpers >= 0.0.8-3
#Obsoletes:      kernel-megi-bh
#Obsoletes:      kernel-megi-ce

#BuildArch:      noarch

%description
Megis version of the Linux Kernel, for PineTab.

%global debug_package %{nil}

%prep
%autosetup -p1 -n pinephones

%install
mkdir -p $RPM_BUILD_ROOT/boot/efi/
cp Image $RPM_BUILD_ROOT/boot/efi
#cp %{SOURCE1} $RPM_BUILD_ROOT/boot/pboot/p-boot-reconf.sh
mkdir -p $RPM_BUILD_ROOT/boot/efi/allwinner
mkdir -p $RPM_BUILD_ROOT/boot/efi/rockchip
cp -r allwinner/* $RPM_BUILD_ROOT/boot/efi/allwinner
cp -r %{SOURCE1} $RPM_BUILD_ROOT/boot/efi/allwinner
cp -r rockchip/* $RPM_BUILD_ROOT/boot/efi/rockchip
#cp board-1.2.dtb $RPM_BUILD_ROOT/boot/allwinner/sun50i-a64-pinephone-1.2.dtb
#cp pinetab.dtb $RPM_BUILD_ROOT/boot/allwinner/sun50i-a64-pinetab.dtb
mkdir -p $RPM_BUILD_ROOT/lib/modules/
cp -r modules/lib/modules/* $RPM_BUILD_ROOT/lib/modules/

%files
/boot/efi/Image
#/boot/pboot/p-boot-reconf.sh
#/boot/boot.scr
/lib/modules/
/boot/efi/allwinner/
/boot/efi/rockchip/

%changelog
* Sun Apr 30 2023 Yoda - 6.3.0-rc9
- Update to 6.3.0-rc9

* Thu Mar 30 2023 Yoda - 6.3.0-rc4
- Update to 6.3.0-rc4

* Thu Mar 23 2023 Yoda - 6.3.0-rc3
- New tests

* Wed Jun 29 2022 Yoda - 5.19.0-rc4
- Initial beta packaging
